Skip to main content
GET
/
v1
/
marketplace
/
apps
/
{id}
Retrieve a marketplace app
curl --request GET \
  --url https://api.leanrails.com/v1/marketplace/apps/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "<string>",
  "object": "app",
  "name": "<string>",
  "slug": "<string>",
  "distribution_type": "public",
  "version": "<string>",
  "install_count": 123,
  "is_installed": true,
  "created": 123,
  "description": "<string>",
  "short_description": "<string>",
  "icon_url": "<string>",
  "homepage_url": "<string>",
  "privacy_policy_url": "<string>",
  "support_url": "<string>",
  "category": "<string>",
  "requested_scopes": [
    "<string>"
  ],
  "developer_id": "<string>",
  "published_at": 123,
  "installation": {
    "id": "<string>",
    "status": "<string>",
    "granted_scopes": [
      "<string>"
    ],
    "created": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Path Parameters

id
string
required

The App ID.

Response

The marketplace app.

id
string
required
object
enum<string>
required
Available options:
app
name
string
required
slug
string
required
distribution_type
enum<string>
required
Available options:
public,
private
version
string
required
install_count
integer
required
is_installed
boolean
required
created
integer
required

Unix timestamp.

description
string | null
short_description
string | null
icon_url
string<uri> | null
homepage_url
string<uri> | null
privacy_policy_url
string<uri> | null
support_url
string<uri> | null
category
string | null
requested_scopes
string[]
developer_id
string
published_at
integer | null
installation
object